## tc-api 1.0.6

=== Makefile ===
LIB_NAME = libtc-api

LIB_SONAME = libtc-api.so.0

CC_FLAGS +=  -fno-stack-protector -D_FORTITY_SOURCE=1 \
			 -z noexecstack -pie -fPIC -z lazy \
			 -g -shared -Wl,-soname,$(LIB_SONAME)

CC_LIBS += -ltss2-sys -ltss2-tcti-mssim -ltss2-tcti-device -ldl -lsystemd

CC_INCLUDE += -I lib/ -I src/ -I src/engine/

PREFIX=/usr

all:$(LIB_NAME).so

$(LIB_NAME).so: $(LIB_NAME).so.0
	ln -s $^ $@
	nm -D --defined-only $@ | grep TC_

$(LIB_NAME).so.0: src/engine/tss2/*.c src/tc_api.c
	gcc $(CC_FLAGS) -o $@ $^ $(CC_INCLUDE) $(CC_LIBS) 

install:
	mkdir -pv ${DESTDIR}${PREFIX}/lib/
	mkdir -pv ${DESTDIR}${PREFIX}/include/tc/
	cp -rf lib/* ${DESTDIR}${PREFIX}/include/tc/
	cp -rf $(LIB_NAME).so* ${DESTDIR}${PREFIX}/lib/

clean:
	rm -f -v $(LIB_NAME).*

# 检查环境是否正确
check_env:
	@echo "------------------------------- 检查TPM安装包 ------------------------------------"
	@dpkg -l libtss2-esys0 libtss2-tcti-tabrmd0 tpm2-abrmd tpm2-tools
	@echo
	@echo "------------------------------- 检查TPM硬件设备 ------------------------------------"
	@ls -l /dev/tpm*
	@echo
	@echo "------------------------------- 检查TPM服务状态------------------------------------"
	@systemctl status tpm2-abrmd.service

install_env:
	@sudo apt install libtss2-esys0 libtss2-tcti-tabrmd0 tpm2-abrmd tpm2-tools libsystemd-dev
	@sudo apt install libssl1.1 openssl

install_env_dev:
	@sudo apt install libtss2-dev libtss2-tcti-tabrmd-dev libssl-dev

=== debian/changelog ===
tc-api (1.0.6-1) unstable; urgency=medium

  * update

 -- liuxin <liuxin@uniontech.com>  Mon, 21 Feb 2022 13:36:31 +0800

tc-api (1.0.5-1) unstable; urgency=medium

  * Solve the problem that adding stack protection parameter causes tc_sign to segfault.

 -- liuxin <liuxin@uniontech.com>  Mon, 14 Feb 2022 09:44:28 +0800

tc-api (1.0.4-1) unstable; urgency=medium

  * Add secure compilation parameters.
  * Fix memory leaks. 

 -- liuxin <liuxin@uniontech.com>  Mon, 13 Dec 2021 09:51:57 +0800

tc-api (1.0.3-1) unstable; urgency=medium

  * Fix unexpected segfault problem. 

 -- liuxin <liuxin@uniontech.com>  Mon, 22 Nov 2021 20:48:39 +0800

tc-api (1.0.2-1) unstable; urgency=medium

  * Fix test issues. 

 -- liuxin <liuxin@uniontech.com>  Mon, 22 Nov 2021 09:41:37 +0800

tc-api (1.0.1-1) unstable; urgency=medium

  * Fix test issues and version upgrades. 

 -- liuxin <liuxin@uniontech.com>  Wed, 17 Nov 2021 13:22:09 +0800

tc-api (1.0.0-1) unstable; urgency=medium

  * First edition interface implementation.

 -- liuxin <liuxin@uniontech.com>  Tue, 19 Oct 2021 15:47:25 +0800

=== debian/control ===
Source: tc-api
Section: libs
Priority: optional
Maintainer: liuxin <liuxin@uniontech.com>
Build-Depends: debhelper (>= 11),
               libtss2-esys0,
               libtss2-tcti-tabrmd0,
               libsystemd-dev,
               libtss2-dev
Standards-Version: 4.1.3
Homepage: https://gitlabwh.uniontech.com/wuhan/system-security/tpm-tcm/libtc-wrapper
#Vcs-Browser: https://salsa.debian.org/debian/tc-api
#Vcs-Git: https://salsa.debian.org/debian/tc-api.git

Package: libtc-api
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tpm2-abrmd, libtss2-tcti-tabrmd0
Description: Trusted Computing Interface
 Encapsulate the functional differences between TPM and TCM to provide 
 developers with a unified and easy-to-use trusted computing interface.
